Name:          python-Pillow
Version:       11.1.0
Release:       1mamba
Summary:       Python Imaging Library (Fork)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pillow/
Source:        http://pypi.debian.net/Pillow/pillow-%{version}.tar.gz
License:       Standard PIL License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfreetype-devel
BuildRequires: libimagequant-devel
BuildRequires: libjpeg-turbo
BuildRequires: liblcms2-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpython311-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n pillow-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

#cd Sane
#CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

install -d -m0755 %{buildroot}%{_includedir}/python%{python_version}
#cp -a libImaging/*.h %{buildroot}%{_includedir}/python%{python_version}/

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pillow-%{version}-py*.egg-info
%{python_sitearch}/pillow-%{version}-py*.egg-info/*
%doc docs/COPYING

%changelog
* Thu Jan 02 2025 Automatic Build System <autodist@openmamba.org> 11.1.0-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 11.0.0-1mamba
- automatic version update by autodist

* Mon Jul 01 2024 Automatic Build System <autodist@openmamba.org> 10.4.0-1mamba
- automatic version update by autodist

* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 10.3.0-1mamba
- update to 10.3.0

* Mon Oct 16 2023 Automatic Build System <autodist@mambasoft.it> 10.1.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 10.0.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 10.0.1-1mamba
- automatic version update by autodist

* Sun Jul 02 2023 Automatic Build System <autodist@mambasoft.it> 10.0.0-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 9.5.0-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 9.4.0-1mamba
- automatic version update by autodist

* Sun Oct 30 2022 Automatic Build System <autodist@mambasoft.it> 9.3.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 9.2.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1.1-2mamba
- rebuilt for python 3.10

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 9.1.1-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 9.1.0-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Mon Jan 03 2022 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Sat Oct 16 2021 Automatic Build System <autodist@mambasoft.it> 8.4.0-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 8.3.2-1mamba
- automatic version update by autodist

* Wed Jul 07 2021 Automatic Build System <autodist@mambasoft.it> 8.3.1-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Automatic Build System <autodist@mambasoft.it> 8.3.0-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.0-2mamba
- rebuilt with distdeps

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 8.2.0-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 8.1.2-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Wed Sep 30 2020 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.0-1mamba
- update to 6.1.0

* Thu Sep 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-1mamba
- update to 5.2.0

* Tue Dec 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-1mamba
- update to 3.4.2

* Sat May 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-2mamba
- added python3 subpackage

* Wed Oct 15 2014 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update by autodist

* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-2mamba
- install headers and provide a devel package

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic update by autodist

* Sun Jul 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-3mamba
- rebuilt by autoport with build requirements: libopenjpeg-devel>=2.1.0-1mamba

* Sun May 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-2mamba
- provide/obsolete python-Imaging

* Wed May 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- package created by silvan using the webbuild interface
